<?php
/**
 * Cryptocoin Payments Model
 */
class ModelExtensionPaymentCoinpayment extends Model {

	/** @var CoinPaymentLibrary $coinpayment */
	private $coinpayment;

	/**
	 * Cryptocoin Payments Model Construct
	 * @param Registry $registry
	 */
	public function __construct($registry) {
		parent::__construct($registry);
		//$this->load->language('extension/payment/coinpayment');
		//$this->coinpayment = new Coinpayment($registry);
	}

	/**
	 * Returns the Cryptocoin Payments Method if available
	 * @param  array $address Customer billing address
	 * @return array|void Cryptocoin Payments Method if available
	 */
	public function getMethod($address)	{
		$this->load->language('extension/payment/coinpayment');
		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "zone_to_geo_zone WHERE geo_zone_id = '" . (int)$this->config->get('payment_coinpayment_geo_zone_id') . "' AND country_id = '" . (int)$address['country_id'] . "' AND (zone_id = '" . (int)$address['zone_id'] . "' OR zone_id = '0')");

		// All Geo Zones configured or address is in configured Geo Zone
		if (!$this->config->get('payment_coinpayment_geo_zone_id') || $query->num_rows) {
			return array(
				'code'	   => 'coinpayment',
				'title'	  => $this->language->get('text_title').$this->language->get('text_title_images'),
				'terms'	  => '',
				'sort_order' => $this->config->get('payment_coinpayment_sort_order'),
			);
		}
	}
}
